import {get, post} from '../http'

const settings = {
  getFeatures: () => {
    return get('administratorSettings/getFeatures')
  },
  getSettings: () => {
    return get('administratorSettings/getSettings')
  },
  updateSettings: (params) => {
    return post('administratorSettings/updateSettings', params)
  },
  testMail: (params) => {
    return post('administratorSettings/testMail', params)
  },
  getCountryList: () => {
    return get('base/getCountries')
  },
  deleteChargeType: (id) => {
    return get('chargeType/delChargeType', {chargeTypePk: id})
  },
  getAllChargeTypes: () => get('chargeType/getAllChargeTypes'),
  saveChargeTypes: (data) => post('chargeType/saveChargeType', data)
}

export default settings